[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomBitmap.HandleNeeded

Ensures that the handle for the bitmap has been assigned.

## Declaration

Source position: graphics.pp line 1406

`protected procedure TCustomBitmap.HandleNeeded; override;`

## Description

Calls BitmapHandleNeeded to create handles for both the image and its mask (when needed).

## See also

TRasterImage.BitmapHandleNeeded |  | Ensures that handles for the image and mask are valid for the raw image data.
TRasterImage.HandleNeeded |  | Ensures that a handle for the image is allocated in widgetset classes.